/**
 * Simple Tooltip
 */

/**
 * Global elements
 */
.simple-tooltip {
    display:block;
    position:absolute;
    width: calc(var(--vw, 1vw) * 28);
    height:auto;
    cursor: auto;
    z-index:20;
}
.simple-tooltip.hidden {
    display:none;
}
.simple-tooltip .spu-outter {
    display: block;
    position: relative;
    float: left;
    width: 100%;
    height: auto;
    padding-bottom: 1px;
    background-color: #fafafa;
}
.simple-tooltip .spu-outter,
.simple-tooltip .spu-header {
    border-radius:5px;
}
.simple-tooltip h2 {
    color: #333333;
    font-size:1.2em;
    font-weight:600;
}
.simple-tooltip hr {
    margin-top: 5px;
    margin-bottom: 10px;
    border-top: 1px solid rgba(238, 238, 238, 0.88);
}
.simple-tooltip p {
    color: #0f8bca;
    font-size:1em;
    font-weight: 500;
}

/**
 * Header
 */
.simple-tooltip .spu-header {
    display: block;
    float: left;
    width: 100%;
    height: auto;
    padding-left: 5px;
    padding-top: 5px;
    padding-bottom: 5px;
    border-bottom: 1px solid #eaeaea;
    background-color: #ffffff;
}
.simple-tooltip .spu-header .spu-title {
    display: block;
    float: left;
    width: 80%;
    height: auto;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 5px;
}

/**
 * Toolbox
 */
.simple-tooltip .spu-toolbox {
    display: block;
    position: relative;
    float: left;
    width: 10%;
}
.simple-tooltip .spu-toolbox .spu-btn {
    display: block;
    position: relative;
    right: 0px;
    top: 0px;
    font-size:30px;
}

/**
 * Body
 */
.simple-tooltip .spu-body {
    display: block;
    float: left;
    height: auto;
    margin-top: 10px;
    margin-bottom: 10px;
    margin-left: 20px;
    margin-right: 20px;
    max-height: calc(var(--vh, 1vh) * 70);
    overflow: auto;
}
.simple-tooltip .spu-body small,
.simple-tooltip .spu-body small a {
    color:#31708f;
}
.simple-tooltip .spu-body small a {
    text-decoration: #31708f;
}

/**
 * Positioning of the tooltip, Desktop
 */
.st-display-regular-top {
    left:0%;
    top:-100%;
}
.st-display-regular-right {
    left:100%;
    top:0%;
}
.st-display-regular-bottom {
    left:0%;
    top:100%;
}
.st-display-regular-left {
    left:-170%;
    top:0%;
}

@media(max-width:767px) {

    .simple-tooltip {
        width: calc(var(--vw, 1vw) * 80);
    }

    /**
     * Positioning of the tooltip, Mobile
     */
    .st-display-mobile-top {
        left:0%;
        top:-100%;
    }
    .st-display-mobile-bottom {
        left:0%;
        top:65%;
    }

}

/**
 * Tooltip arrow
 */
.st-display-regular-top:before,
.st-display-regular-right:before,
.st-display-regular-bottom:before,
.st-display-regular-left:before {
    display: block;
    position: absolute;
    z-index: 0;
    width: 40px;
    height: 40px;
    content: '';
    border: none;
    background-color: #ffffff;
    -moz-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
}
.st-display-regular-top:before {
    top: 100%;
    left: 45%;
}
.st-display-regular-right:before {
    top: 30%;
    left: -3%;
}
.st-display-regular-bottom:before {
    top: -5%;
    left: 45%;
}
.st-display-regular-left:before {
    top: 30%;
    left: 90%;
}

@media(max-width:767px) {

    .st-display-regular-top:before,
    .st-display-regular-right:before,
    .st-display-regular-bottom:before,
    .st-display-regular-left:before {
        -moz-transform: rotate(135deg);
        -o-transform: rotate(135deg);
        -webkit-transform: rotate(135deg);
        transform: rotate(135deg);
    }

    .st-display-regular-right:before {
        top: 3%;
        left: 45%;
    }
    .st-display-regular-left:before {
        top: 2%;
        left: 69%;
    }

}
